/**
 * @file	cf_codec.h
 * @author	myusgun <myusgun@gmail.com>
 *
 * @remark 데이터 변환
 *
 * @example codec.c
 */
#ifndef __CF_CODEC_H__
#define __CF_CODEC_H__

#include "cf_base.h"

#include <stddef.h>

#ifdef __cplusplus
extern "C" {
#endif

CF_EXPORT int
CF_Codec_Hex_Encode			(const unsigned char	* bin,
							 const size_t			len,
							 char					* hex);

CF_EXPORT int
CF_Codec_Hex_Decode			(const char		* hex,
							 unsigned char	* bin);

CF_EXPORT int
CF_Codec_Base64_Encode		(const unsigned char	* bin,
							 const size_t			len,
							 char					* base64);

CF_EXPORT int
CF_Codec_Base64_Decode		(const char		* base64,
							 unsigned char	* bin);

#ifdef __cplusplus
}
#endif

#endif // #ifndef __CF_CODEC_H__
